#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define _python_bytecompile_errors_terminate_build 0

%define rel 1

Name:           kate
Summary:        Advanced text editor
Epoch:          2
Version: 23.04.3
Group:          Editors
Release:        %mkrel %{rel}
License:        GPLv2 and LGPLv2
URL:            https://apps.kde.org/kate/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

# Patches from branch 100->200:

# Patches from trunk 200->300

# Mageia Patches 300->400

BuildRequires:  pkgconfig(libgit2)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  subversion-devel
BuildRequires:  binutils-devel
BuildRequires:  boost-devel
BuildRequires:  libltdl-devel

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Activities)

BuildRequires:  cmake(KUserFeedback)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Test)

Requires:       konsole >= 1:%version
Requires:       ktexteditor
Recommends:     kate-handbook
Recommends:     ktexteditor-plugins
Requires:       kate-l10n-common = %{epoch}:%{version}-%{release}


%description
A multi-document, multi-view text editor for KDE.

%files -f %{name}-l10n.lang
%_kf5_bindir/kate
%_kf5_metainfodir/org.kde.kate.appdata.xml
%_kf5_applicationsdir/org.kde.kate.desktop
%_kf5_iconsdir/*/*/*/kate.*
%_kf5_datadir/kateproject/
%_kf5_datadir/katexmltools/
%_kf5_datadir/kconf_update/katesession_migration.upd
%_kf5_datadir/kconf_update/migrate_kate_sessions_applet_to_kdeplasma-addons.sh

#------------------------------------------------------------------------------

%define kateprivate_major 23
%define libkateprivate %mklibname kateprivate %kateprivate_major

%package -n %libkateprivate
Summary:        A library for %name
Group:          System/Libraries

%description -n %libkateprivate
A library for %name

%files -n %libkateprivate
%_kf5_libdir/libkateprivate.so.%{kateprivate_major}*

#------------------------------------------------------------------------------

%package handbook
Summary:        Kate handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kate >= %{epoch}:%{version}-%{release}

%description handbook
This package provides Kate handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/kate
%doc %_kf5_docdir/HTML/*/katepart
%_kf5_mandir/man1/kate.1.*
%_kf5_mandir/*/man1/kate.1.*

#------------------------------------------------------------------------------

%package -n ktexteditor-plugins
Summary:        Ktexteditor interfaces
Group:          Graphical desktop/KDE
Provides:       kate-plugin-pate
Requires:       kate-l10n-common = %{epoch}:%{version}-%{release}

%description -n ktexteditor-plugins
The KTextEditor interfaces - also called KTE interfaces - are a set of
well-defined interfaces which an application or library can implement to
provide advanced plain text editing services.

%files -n ktexteditor-plugins
%_qt5_plugindir/ktexteditor

#------------------------------------------------------------------------------

%package -n kwrite
Summary:        Simple text editor for Plasma 5
Group:          Editors
Requires:       ktexteditor
Requires:       kate-l10n-common = %{epoch}:%{version}-%{release}
Recommends:     ktexteditor-plugins
Recommends:     kwrite-handbook

%description -n kwrite
KWrite is a text editor for Plasma 5, based on the Kate's editor component.
Features :
  * Syntax highlighting according to the file type
  * Word completion
  * Auto-indentation
  * Plugin support
  * Vi input mode

%files -n kwrite
%_kf5_bindir/kwrite
%_kf5_metainfodir/org.kde.kwrite.appdata.xml
%_kf5_applicationsdir/org.kde.kwrite.desktop
%_kf5_iconsdir/*/*/*/kwrite.*

#------------------------------------------------------------------------------

%package -n kwrite-handbook
Summary:        Kwrite handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kwrite >= %{epoch}:%{version}-%{release}

%description -n kwrite-handbook
This package provides Kwrite handbook.

%files -n kwrite-handbook
%doc %_kf5_docdir/HTML/*/kwrite/

#------------------------------------------------------------------------------

%package -n kate-l10n-common
Summary:        Kate Ktexteditor-plugins and Kwrite Common Translations
Group:          Documentation
BuildArch:      noarch
Requires:       kwrite >= %{epoch}:%{version}-%{release}

%description -n kate-l10n-common
This package provides Kate Ktexteditor-plugins and Kwrite Common Translations.

%files -n kate-l10n-common -f kate-l10n-common.lang


#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

rm -f %{name}-l10n.lang
touch %{name}-l10n.lang
for n in \
		   kate-ctags-plugin \
		   kate-replicode-plugin \
		   kate \
		   katebacktracebrowserplugin \
		   katebuild-plugin \
		   katecloseexceptplugin \
		   katecolorpickerplugin \
		   kateexternaltoolsplugin \
		   katefilebrowserplugin \
		   katefiletree \
		   kategdbplugin \
		   kategitblameplugin \
		   katekeyboardmacros \
		   katekonsoleplugin \
		   kateproject \
		   katesearch \
		   katesnippetsplugin \
		   katesql \
		   katesymbolviewer \
		   katetextfilter \
		   katexmlcheck \
		   katexmltools \
		   lspclient
do
		   %find_lang $n
		   cat ${n}.lang >>%{name}-l10n.lang
		   rm -f ${n}.lang
done

rm -f %{name}-l10n-common.lang
touch %{name}-l10n-common.lang
for n in \
		   tabswitcherplugin \
		   ktexteditorpreviewplugin
do
		   %find_lang $n
		   cat ${n}.lang >>%{name}-l10n-common.lang
		   rm -f ${n}.lang
done


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 2:23.04.3-1.mga9
+ Revision: 1982383
- New version 23.04.3

* Sat May 27 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959120
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946446
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941740
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922859
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1913299
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905206
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886726
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883067
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873022
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853916
- New version 22.04.0

* Mon Apr 18 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1851487
- New version 22.03.90

* Tue Dec 28 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1764980
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724017
- New version 21.04.1

* Sun Apr 25 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1719316
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698501
- New version 20.12.3

* Tue Mar 02 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1695674
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655562
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1643948
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633763
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627006
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1614871
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604070
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596802
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585525
- New version 20.04.1

* Mon Apr 20 2020 daviddavid <daviddavid> 2:20.04.0-2.mga8
+ Revision: 1569964
- enable KUserFeedback support

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568085
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559274
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540628
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513244
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sun Dec 15 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1468033
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457848
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447366
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1424941
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390396
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387600
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1382047
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375527
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365515
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356451
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339464
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332695
- New version 18.08.3
- New version 18.08.2

* Mon Oct 29 2018 daviddavid <daviddavid> 2:18.04.1-4.mga7
+ Revision: 1326539
- fix kate-l10n-common description and summary (mga#23784)

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-3.mga7
+ Revision: 1298436
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 pterjan <pterjan> 2:18.04.1-2.mga7
+ Revision: 1241202
- Drop obsolete BuildRequires on antlr-*

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228911
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201845
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194868
- New version 17.12.1

* Tue Jan 02 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1189274
- New version 17.12.0

* Wed Nov 01 2017 daviddavid <daviddavid> 2:17.08.0-2.mga7
+ Revision: 1175295
- improve kwrite summary and description

* Sun Oct 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1173125
- New version 17.08.0
- New version 17.07.90

* Wed Jul 26 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1130868
- New version 17.04.3

* Wed Mar 29 2017 akien <akien> 2:16.12.3-2.mga6
+ Revision: 1095208
- Rebuild for libgit2 0.25.0

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090025
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076760
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075367
- Do not package kate icons in kwrite

* Sun Dec 04 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1071973
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067291
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061350
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050617
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048329
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040012
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012502
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004292
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 994825
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991142
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-1.mga6
+ Revision: 987410
- New version 15.12.2

* Thu Feb 04 2016 akien <akien> 2:15.12.1-3.mga6
+ Revision: 934985
- Have kate and kwrite recommend the ktexteditor-plugins
- Add optional libgit2 BR

* Sun Jan 24 2016 neoclust <neoclust> 2:15.12.1-2.mga6
+ Revision: 926824
- Enable debug package

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 922580
- New version 15.12.1

* Sat Dec 26 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 915029
- New version 15.12.0
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 2:15.08.3-1.mga6
+ Revision: 901108
- New version 15.08.3

* Fri Oct 16 2015 neoclust <neoclust> 2:15.08.2-2.mga6
+ Revision: 892017
- Add ktexteditor as require in kwrite

* Wed Oct 14 2015 neoclust <neoclust> 2:15.08.2-1.mga6
+ Revision: 890583
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880401
- New version 15.08.1
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 2:15.07.90-2.mga6
+ Revision: 863931
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 2:15.07.90-1.mga6
+ Revision: 861732
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 2:15.07.80-1.mga6
+ Revision: 859777
- New version 15.07.80

* Fri Jul 17 2015 neoclust <neoclust> 2:15.04.3-3.mga6
+ Revision: 854871
- Remove wrong requires

* Thu Jul 16 2015 neoclust <neoclust> 2:15.04.3-2.mga6
+ Revision: 854828
- Fix Requires
  Remove empty packages

* Thu Jul 16 2015 neoclust <neoclust> 2:15.04.3-1.mga6
+ Revision: 854668
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800556
- Update to KDE SC 4.14.3

* Sun Nov 02 2014 lmenut <lmenut> 2:4.14.2-2.mga5
+ Revision: 795190
- fix packaging issues in katepart (mga#14416), ktexteditor & kate-plugin-pate

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787642
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-2.mga5
+ Revision: 748675
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734504
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 680934
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667442
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 662953
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656631
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653817
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 651922
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636691
- Update to KDE SC 4.13.2
+ pterjan <pterjan>
- Rebuild for new Python

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625458
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615531
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609351
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606792
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 2:4.12.90-1.mga5
+ Revision: 603291
- New version 4.12.80

* Sat Mar 08 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 601381
- New version 4.12.80
- New version 4.12.3

* Mon Feb 17 2014 fwang <fwang> 2:4.12.2-1.mga5
+ Revision: 593139
- drop merged patches
+ neoclust <neoclust>
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 2:4.11.5-1.mga5
+ Revision: 580691
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 554951
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551209
- Update tarball to KDE SC 4.11.3

* Tue Nov 12 2013 colin <colin> 2:4.11.2-3.mga4
+ Revision: 550799
- Apply upstream patches to fix file grouping in Document side-pane (bko#327501)

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 539862
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 491754
- Correct packaging issue (all pate files are now in the pate plugin)
- Update tarball to KDE SC 4.11.2

* Sun Sep 29 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488901
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476767
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465134
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458865
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455255
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447880
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Fix files list

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435225
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428343
- Update tarball to KDE SC 4.10.3

* Thu May 09 2013 mikala <mikala> 2:4.10.2-3.mga3
+ Revision: 412787
- Fix subpackage name (part of fix of mga #9834)

* Thu Apr 11 2013 neoclust <neoclust> 2:4.10.2-2.mga3
+ Revision: 409772
- Rebuild against new boost

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407167
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401848
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394344
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 355823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339365
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2
- Drop patch100 (merged)

* Tue Jan 01 2013 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 337239
- Add patch100 from upstream to fix build on i586
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Fix files list

* Tue Dec 04 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326691
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320235
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Add missing BuildRequires

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316137
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301916
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289691
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277046
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Sun Jul 22 2012 lmenut <lmenut> 2:4.8.97-2.mga3
+ Revision: 273472
- Fix duplicates files in kate & ktexteditor

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269658
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 2:4.8.95-1.mga3
+ Revision: 265509
- update file list
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257206
- new version 4.8.4

* Fri Apr 13 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 230716
- Add missing requires on handbooks subpackage

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228434
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221468
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198158
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-0.mga2
+ Revision: 190938
- Update tarball to KDE 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185805
- Update tarball to KDE 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-0.mga2
+ Revision: 181884
- Update tarball to kde 4.7.90
- use gold as linker
- fix files list

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176487
- Remove kate-extensions package (redundant with ktexteditor)
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161098
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151932
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140625
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Remove kdelibs4-devel as requires for -devel package (already done by autoreqpov)
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires
- Fix License tag
- remove %%defattr
- Fix files list
+ lmenut <lmenut>
- Replace conflicts by obsoletes on lib*ktexteditor_codesnippets_core0 to proper upgrades

* Tue Jul 12 2011 mikala <mikala> 2:4.6.95-1.mga2
+ Revision: 123434
- Fix file list for kate-extensions

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122303
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Sun Jul 03 2011 ahmad <ahmad> 2:4.6.90-4.mga2
+ Revision: 117656
- Split the extensions in a separate pacakge and make kwrite suggest it
- Add conflicts on lib*ktexteditor_codesnippets_core0 to ease upgrades

* Wed Jun 29 2011 ahmad <ahmad> 2:4.6.90-3.mga2
+ Revision: 115996
- Split katepart in its own sub-package
- The main package and kwrite require katepart, respectively

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-2.mga2
+ Revision: 115701
- Add conflicts against kdesdk4
- Fix License
- Add conflicts against kdelibs4-core
- Clean spec
- Add more requires on the -devel package
- imported package kate
+ fwang <fwang>
- add group for ktexteditor
- bump epoch for libkatepartinterfaces
- add conflicts on older packages

